<h1>Palubní účetnictví</h1> 

<ul>
  <li><a href="/transfers/new"><%=t 'Přidej novou transakci', 'Add new receipt'%></a>
  <li><%= link_to t('Seznam palubních účtů','Older version'), '/account/list' %> (<%= link_to t('Stromový seznam účtů','Account list'), Owner.find(OWNER_PALUBA_ID) %> )
  <li><%= link_to t('Vyhledávání transakcí','Transfer search'), '/transfers' %>
</ul>


<script type="text/javascript">
  $(document).ready(function()  { $("#table").treeTable({ childPrefix: "sub-"}); });
</script>

<style type="text/css">
  #table {
    border: 2px solid #ccc;
    border-collapse: collapse;
  }
  #table td, #table th {
    padding: 0 0.5em;
    border: 1px solid #ccc;
    text-align:center;
  }
  #table th {
    background: #eee;
  }
  #table tr>td:first-child {
    padding: 0 1em 0.2em 2em;
    text-align:left;
  }
</style>


<% if params.keys.include?('statistika') %>
<% 
 @trzby_za_hry_account = Account.find('788b1092-652c-11df-9e19-0013d4bc1a7d')
 @paluba_pokladna = Account.find('d898f812-66cd-11df-9fa9-0013d4bc1a7d')
 roky = [2010]
 def richformat(amount); amount.andand.to_s(:with_html => true, :delimiter=>'&nbsp;', :decimal_zeros=>false) ; end
 @inflows = roky.collect{|rok| @paluba_pokladna.inflow_balance(:rok=>rok)}
 @trzby_za_hry_celkem = roky.collect{|rok| @trzby_za_hry_account.balance(:rok=>rok) }
 @trzby_za_hry_hotovost = roky.collect{|rok| @trzby_za_hry_account.balance_to_account(@paluba_pokladna, :rok=>rok) }
%>

<table id="table">
  <tr><th><th><%= roky.join('<th>') %>
  <tr id="t1">
    <td><%= link_to 'tržby za hry celkem', "/account/show/#{@trzby_za_hry_account.id}"%></td>
    <%= @trzby_za_hry_celkem.collect { |a| "<td>#{richformat(a)}</td>" } %>
  </tr>
  <tr id="t11" class="sub-t1">
    <td>hotovostní tržby za hry na Palubě podle zápisu v sešitech</td>
    <%= @trzby_za_hry_hotovost.collect { |a| "<td>#{richformat(a)}</td>" } %>
  </tr>
  <tr id="t12" class="sub-t1">
    <td>další tržby za hry</td>
    <%= 0.upto(roky.size-1).collect{|i| @trzby_za_hry_celkem[i]-@trzby_za_hry_hotovost[i]}.
       collect { |a| "<td>#{richformat(a)}</td>" } %>
  </tr>
  <tr id="t6">
    <td>procento tržeb za hry v inflow</td>
    <%= 0.upto(roky.size-1).collect {|i|
         "<td>"+ "%2.0f %%" % ((@trzby_za_hry_celkem[i]["CZK"].to_f)/(@inflows[i]["CZK"].to_f)*100) + "</td>"
        }
    %>
  </tr>

  <tr id="t2"><td>odnosy pro obchod dle zapisu - hotovosti i bankovni    
  <tr id="t3"><td>celkový inflow do hotovosti
    <% @inflows.each { |amount| %>
      <td><%= richformat(amount) %></td>
    <% } %>          
  </tr>
  <tr id="t4" class="sub-t3"><td>podle prijmove strany                   
  <tr id="t6" class="sub-t3"><td>balance
    <% roky.each { |rok| %>
      <td><%= richformat(-@paluba_pokladna.balance(:rok=>rok)) %></td>
    <% } %>        
  </tr>
  <tr id="t5" class="sub-t3"><td>outflow
    <% roky.each { |rok| %>
      <td><%= richformat(-@paluba_pokladna.outflow_balance(:rok=>rok)) %></td>
    <% } %>
  </tr>
</table>
  <%= link_to 'Vypnout statistiku', '/site/paluba'%>
<% else %>
  <!--%= link_to 'Statistika', '?statistika'%-->

<% end %>
